import { Editor } from '@tiptap/react';
export declare enum RichTextEditorFeatures {
    HISTORY = "history",
    FORMATTING = "formatting",
    HEADERS = "headers",
    LISTS = "lists",
    TEXT_COLOR = "text-color",
    CODE = "code",
    ALIGNMENT = "alignment",
    LINKS = "links",
    IMAGES = "images",
    CLEAR_FORMATTING = "clear-formatting",
    TABLE = "table"
}
export declare const DEFAULT_FEATURES: RichTextEditorFeatures[];
export type OnImageUploadFn = (file: File) => Promise<{
    b64: string;
    url: string;
} | undefined>;
export interface EditorPanel {
    editor: Editor;
    features?: RichTextEditorFeatures[];
}
